﻿@model ActorViewModel
@{
    ViewData["Title"] = "Show Movies By Actor";
}
<h2>@ViewData["Title"]</h2>


<div class="row">
    <div class="col-md-4">
        <section>
            <form asp-controller="Movie" asp-action="ShowMoviesByActor" method="post">
                <div asp-validation-summary="All" class="text-danger"></div>
                <h4>Add actor`s first and last name.</h4>
                <hr />
                <div class="form-group">
                    <label asp-for="@Model.FirstName"></label>
                    <input asp-for="@Model.FirstName" class="form-control" />
                    <span asp-validation-for="@Model.FirstName" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="@Model.LastName"></label>
                    <input asp-for="@Model.LastName" class="form-control" />
                    <span asp-validation-for="@Model.LastName" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-default">Search</button>
                </div>
            </form>
        </section>
    </div>
</div>


@if (Model != null && Model.MoviesViewModel != null && !Model.MoviesViewModel.Movies.Any())
{
    <p>No results found!</p>
}

@{
    if (Model != null && Model.MoviesViewModel != null)
    {
        <partial name="_ShowAllMoviesPartial" model="Model.MoviesViewModel" />
    }
}


@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}